# Avoid problem without man and info
%define dont_compress	1

Name:			acme
Version:		2.0.5
Release:		%mkrel 1
Summary:		Letsencrypt perl client
License:		GPLv3+
Group:			Development/Perl
Url:			https://git.rapsys.eu/acme/
Source0:		%{name}-%{version}.tar.xz
BuildArch:		noarch
Requires:		php-json perl(LWP::Protocol::https)
Provides:		perl(Acme)

%description
This program allow you to configure, generate and automate
letsencrypt certificate generation.

%prep
%setup -q

%install
# Install directories
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/%{_mandir}/man1

# Install php script
install -m644 www/acme-challenge.php %{buildroot}%{_datadir}/%{name}/

# Install perl library
install -m644 Acme.pm %{buildroot}%{perl_vendorlib}/Acme.pm

# Install binaries
install -m755 acme %{buildroot}%{_bindir}/

# Touch fake man to avoid error with man and info compression
install -m644 acme.1 %{buildroot}/%{_mandir}/man1/
install -m644 acme-cert.1 %{buildroot}/%{_mandir}/man1/
install -m644 acme-conf.1 %{buildroot}/%{_mandir}/man1/
install -m644 acme-cron.1 %{buildroot}/%{_mandir}/man1/

# Touch thumbprint file
touch %{buildroot}/%{_sysconfdir}/%{name}/thumbprint

%files
# Apache configuration files
%doc www/example.com.conf www/acme.apache.conf www/acme.nginx.conf
%config %{_sysconfdir}/%{name}/thumbprint
%{_datadir}/%{name}/acme-challenge.php
%{perl_vendorlib}/Acme.pm
%{_bindir}/acme
%{_mandir}/man1/acme.1
%{_mandir}/man1/acme-cert.1
%{_mandir}/man1/acme-conf.1
%{_mandir}/man1/acme-cron.1


%changelog
* Thu Feb 01 2024 rapsys <rapsys> 2.0.5-1.mga10
+ Revision: 2036498
- Version 2.0.5: add raw and fix cert removal

* Thu Dec 08 2022 rapsys <rapsys> 2.0.4-1.mga9
+ Revision: 1919186
- Version 2.0.4 with latest terms

* Thu Sep 15 2022 rapsys <rapsys> 2.0.3-1.mga9
+ Revision: 1888968
- Version 2.0.3 which fixes certificate and term link

* Mon Mar 21 2022 umeabot <umeabot> 2.0.1-2.mga9
+ Revision: 1813634
- Mageia 9 Mass Rebuild

* Sun Nov 22 2020 rapsys <rapsys> 2.0.1-1.mga8
+ Revision: 1648383
- Update to version 2.0.1
- Fix acme-challenge.php to issue a 404 on empty thumbprint

* Sun Apr 19 2020 rapsys <rapsys> 2.0.0-1.mga8
+ Revision: 1569864
- Update to version 2.0.0 mandatory as letsencrypt API v1 will be removed in June 2020

* Tue Feb 18 2020 umeabot <umeabot> 1.2-2.mga8
+ Revision: 1539204
- Mageia 8 Mass Rebuild
+ rapsys <rapsys>
- Fix url

* Sat Nov 30 2019 rapsys <rapsys> 1.2-1.mga8
+ Revision: 1463890
- Version 1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1297278
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 rapsys <rapsys> 1.1-1.mga7
+ Revision: 1155601
- Remove Data::Dumper deps

* Tue Sep 19 2017 rapsys <rapsys> 1.0-1.mga7
+ Revision: 1155595
- Fix doc build
- Version 1.0
- Fix issue with pending challenge

* Wed Jun 21 2017 akien <akien> 0.9-4.mga6
+ Revision: 1108113
- Rebuild in core/release

* Wed Jun 21 2017 rapsys <rapsys> 0.9-3.mga6
+ Revision: 1108103
- Switch to version 0.9 with old perl version fixes

* Thu Apr 06 2017 rapsys <rapsys> 0.7-1.mga6
+ Revision: 1096030
- imported package acme

